Bug 952671 - Rebase spice-server to latest upstream
Summary: Rebase spice-server to latest upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Uri Lublin
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 960054 884812 918472 952666 958276 961848 978403 978405 978410
TreeView+ depends on / blocked
 
Reported: 2013-04-16 12:10 UTC by Hans de Goede
Modified: 2013-11-21 07:40 UTC (History)
6 users (show)

Fixed In Version: spice-server-0.12.4-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 07:40:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1571 normal SHIPPED_LIVE spice-server bug fix and enhancement update 2013-11-20 21:39:57 UTC

Description Hans de Goede 2013-04-16 12:10:00 UTC
spice-server in 6.4 is 0.12.0 + cherry picked fixes. Upstream has a 0.12.2 bugfix release with all the fixes we've cherry picked + a lot more fixes and 1 tiny feature enhancement.

Not having the fixes from upstream causes issues with running Linux guests which use kms (ie F-19 / RHEL-7) on top of 6,4, ie bug 952666.

Rather then waiting for people to hit all these bugs one by one and cherry picking them, we should just rebase to the latest upstream.

Comment 2 Marian Krcmarik 2013-05-22 18:44:29 UTC
(In reply to Hans de Goede from comment #0)
> spice-server in 6.4 is 0.12.0 + cherry picked fixes. Upstream has a 0.12.2
> bugfix release with all the fixes we've cherry picked + a lot more fixes and
> 1 tiny feature enhancement.

What is meant by this tiny feature enhancement?
- file drag and drop or adaptive video streaming? will noth og mentioned included in the rebase?

Comment 3 Hans de Goede 2013-05-23 08:07:41 UTC
Hi,

(In reply to Marian Krcmarik from comment #2)
> (In reply to Hans de Goede from comment #0)
> > spice-server in 6.4 is 0.12.0 + cherry picked fixes. Upstream has a 0.12.2
> > bugfix release with all the fixes we've cherry picked + a lot more fixes and
> > 1 tiny feature enhancement.
> 
> What is meant by this tiny feature enhancement?
> - file drag and drop or adaptive video streaming?

Adaptive video streaming.

File drag and drop is currently a client + agent only thing, but we do want to
add support for disabling it, which means filtering the related agent messages
in the server. Currently this does not exist yet, but I do expect it to land
upstream soonish and as such the filtering bits will be part of the rebase.


Regards,

Hans

Comment 10 errata-xmlrpc 2013-11-21 07:40:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1571.html


Note You need to log in before you can comment on or make changes to this bug.